Catalyst::Authentication::Store::Null(3pm)

NAME
Catalyst::Authentication::Store::Null - Null authentication store

SYNOPSIS
    use Catalyst qw(
        Authentication
    );

    __PACKAGE__->config( 'Plugin::Authentication' => {
        default_realm => 'remote',
        realms => {
            remote => {
                credential => {
                    class => 'TypeKey',
                    key_url => 'http://example.com/regkeys.txt',
                },
                store => {
                    class => 'Null',
                }
            }
        }
    });

DESCRIPTION
The Null store is a transparent store where any supplied user data is accepted. This is mainly useful for remotely authenticating credentials (e.g. TypeKey, OpenID) which may not be tied to any local storage. It also helps facilitate integration with the Session plugin.

METHODS

  new( )
Creates a new instance of the store.

  for_session( )
Returns the user object passed to the method.

  from_session( )
Returns the user object passed to the method.

  find_user( )
Since this store isn't tied to any real set of users, this method just returns the user info bless as a Catalyst::Authentication::User::Hash object.

  user_supports( )
Delegates to Catalyst::Authentication::User::Hash.